@import "../components/gartner-banner.css";
@import "../components/student-demo-modal.css";

.main-menu--position-sticky {
    margin-bottom: -61px;
}

/* hero */
.cp-hero {
    background: linear-gradient(261.05deg, #0064C0 0%, #2750E1 58.1%, #0064C0 99.58%);
    padding-top: 128px;
    padding-bottom: 80px;
}

.cp-hero-row,
.cp-row {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cp-hero-content {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cp-pill {
    display: flex;
    align-items: center;
    padding: 0;
    margin-bottom: 24px;
}

.cp-pill .product-pill {
    margin-right: 8px;
    margin-bottom: 0;
}

.product-pill--info {
    background: #FFFFFF;
    border-radius: 2px;
    font-weight: 800;
    font-size: 12px;
    line-height: 1.5;
    color: #0064C0;
    padding: 2px 4px;
}

.cp-hero--title {
    font-weight: 800;
    font-size: 32px;
    line-height: 1.2;
    color: #FFFFFF;
    margin-top: 0;
    margin-bottom: 24px;
}

.cp-hero--description {
    font-weight: 600;
    font-size: 16px;
    line-height: 30px;
    color: #E8F4FC;
    margin-top: 0;
    margin-bottom: 40px;
}

.cp-hero--title,
.cp-hero--description {
    text-align: center;
}

/* partners section */
.cp-partner-section {
    padding-top: 80px;
    padding-bottom: 80px;
}

.trusted-partners {
    display: grid;
    grid-template-columns: unset;
    grid-template-rows: unset;
    align-items: center;
    gap: 12px;
}

.trusted-partners .break {
    flex-basis: 100%;
    margin: 0;
    padding: 0;
    width: 0;
    height: 0;
}

.trusted-partners .trusted-text {
    font-weight: bold;
    font-size: 15px;
    line-height: normal;
    color: #011C35;
    margin: 0;
    text-align: left;
    width: 100%;
}

.trusted-partners .partners-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.trusted-partners .partner {
    width: auto;
    max-width: 100%;
    max-height: 26px;
}

.trusted-partners .partner.webhelp-custom {
    width: auto;
    height: 30px;
}

.trusted-partners .partner.microsoft-azurei-custom {
    width: auto;
    height: 15px;
}

.trusted-partners .partner.openlearning-custom {
    width: auto;
    height: 36px;
    max-height: 100%;
}

.trusted-partners .partner.bbva {
    width: auto;
    height: 20px;
}

.trusted-partners .partner.greathorn-custom {
    width: auto;
    height: 16px;
}

.trusted-partners .partner.omniasig-custom {
    width: auto;
    height: 18px;
}

.trusted-partners .partner.elrond-custom {
    width: auto;
    height: 18px;
}
/* (end) partners section */

.cp-section {
    margin-bottom: 80px;
}

.cp-image {
    width: 100%;
    max-width: 460px;
    height: auto;
}

/* light blue section */
.cp-section.cp-light-blue-section {
    background: #E6F0F9;
}

.cp-ligh-blue--wrapper {
    background: #E6F0F9;
    border-radius: 16px;
    padding: 80px 0;
}

.cp-ligh-blue--title {
    font-weight: 800;
    font-size: 32px;
    line-height: 1.2;
    color: #011C35;
    text-align: left;
    margin-bottom: 64px;
}

.cp-ligh-blue--intems {
    display: grid;
    grid-gap: 40px;
}

.cp-ligh-blue--item {
    display: grid;
    grid-template-rows: auto 1fr;
    grid-gap: 24px;
}

.cp-ligh-blue--item-img {
    display: flex;
}

.cp-item-info--title {
    font-weight: 800;
    font-size: 20px;
    line-height: 1.5;
    color: #011C35;
    margin-top: 0;
    margin-bottom: 8px;
}

.cp-item-info--description,
.cp-item-info--list-item {
    font-weight: 500;
    font-size: 15px;
    line-height: 1.9;
    color: #3B556E;
    margin: 0;
}

.cp-item-info--list {
    list-style: disc;
    padding-left: 18px;
}
/* (end) light blue section */

.cp-content-text {
    text-align: center;
    margin-bottom: 40px;
}

.cp-content--title {
    font-weight: 800;
    font-size: 28px;
    line-height: 1.4;
    color: #011C35;
    margin-bottom: 32px;
    text-align: center;
}

.cp-content--description {
    font-weight: 500;
    font-size: 15px;
    line-height: 1.8;
    color: #3B556E;
    margin-bottom: 16px;
}

.cp-content--description:last-of-type {
    margin-bottom: 0;
}

/* light blue card */
.light-blue-card.al-bullets-card {
    background-color: #E6F0F9;
    border-radius: 16px;
    padding: 16px 24px;
    margin-top: 24px;
}

.light-blue-card--title,
.light-blue-card--description {
    font-weight: 800;
    font-size: 13px;
    line-height: 1.5;
    color: #011C35;
    margin-bottom: 8px;
    margin-top: 0;
}

.light-blue-card--description {
    font-weight: 500;
    margin-bottom: 0;
}

.al-bullet {
    display: grid;
    justify-items: center;
    grid-gap: 8px;
    margin-bottom: 8px;
}

.al-bullet:last-of-type {
    margin-bottom: 0;
}

.al-bullet p {
    font-weight: 600;
    font-size: 12px;
    line-height: 1.5;
    color: #011C35;
    text-align: center;
    margin: 0;
}
/* (end) light blue card */

/* blue demo section */
.cp-demo-section {
    background: linear-gradient(261.05deg, #0064C0 0%, #2750E1 58.1%, #0064C0 99.58%);
    position: relative;
    border-radius: 16px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 56px 24px;
    overflow: hidden;
}

.cp-demo-section::before {
    content: url("/assets/images/frictionless-authentication-demo-background.svg");
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    pointer-events: none;
    z-index: 0;
}

.cp-demo--title {
    font-weight: 800;
    font-size: 28px;
    line-height: 1.4;
    color: #FFFFFF;
}

/* (end) blue demo section */

/* request demo email input */
.request-demo-form {
    display: flex;
    align-items: center;
    flex-direction: column;
    width: 100%;
    max-width: 460px;
    padding: 0;
    border: none;
    background: transparent;
    box-sizing: border-box;
}

.request-demo-form:hover {
    cursor: pointer;
    border-color: #0064C0;
}

.request-demo-form:focus-within {
    cursor: pointer;
    border-color: #0064C0;
}

.request-demo-form--input {
    flex: 1;
    color: #011C35;
    width: 100%;
    padding: 16px;
    border: 1px solid #8399B0;
    box-sizing: border-box;
    border-radius: 12px;
    margin-bottom: 24px;
    font-size: 14px;
}

.request-demo-form--input:focus {
    outline: none;
}

.request-demo-form--input::placeholder {
    color: #3B556E;
}

.request-demo-form--button {
    background-color: #FF7F00;
    color: #FFFFFF;
    font-size: 15px;
    line-height: 22px;
    font-weight: 700;
    padding: 8px 24px;
    border: none;
    border-radius: 8px;
}

.request-demo-form--button:focus,
.request-demo-form--button:hover,
.request-demo-form--button:visited {
    color: #FFFFFF;
    outline: none;
    text-decoration: none;
}
/* request demo email input (end) */

/* contact section */
.cp-contact-section {
    background: linear-gradient(261.05deg, #0064C0 0%, #2750E1 58.1%, #0064C0 99.58%);
    padding-top: 80px;
    padding-bottom: 80px;
}

.cp-contact-wrapper {
    display: grid;
    grid-template-columns: unset;
    grid-template-rows: unset;
    grid-column-gap: 0;
    grid-row-gap: 32px;
    justify-content: center;
    justify-items: center;
}

.cp-contact--title {
    font-weight: 800;
    font-size: 28px;
    line-height: 1.4;
    color: #FFFFFF;
    text-align: center;
    margin-bottom: 0;
}

.dark-gartner-banner {
    background: #0A2853;
    border-radius: 16px;
    padding: 24px;
    width: 100%;
    max-width: max-content;
    display: flex;
    align-items: center;
    justify-content: center;
}

.dark-gartner-banner--img {
    max-width: 100%;
    height: auto;
}

/* custom hubspot */
.cp-contact-form .hbspt-form {
    max-width: 640px;
    height: 100%;
    display: flex;
    align-items: center;
}

.hbspt-form .hs-form fieldset:nth-of-type(1) {
    display: none;
}
/* (end) contact section */

@media (min-width: 480px) {
    /* request demo email input */
    .request-demo-form {
        flex-direction: row;
        background-color: #FFFFFF;
        padding: 8px;
        border: 1px solid #8399B0;
        border-radius: 12px;
    }

    .request-demo-form--input {
        padding: 8px;
        border: none;
        margin: 0;
    }

    .trusted-partners .trusted-text {
        width: 100%;
        text-align: center;
    }
    /* request demo email input (end) */
}

@media (min-width: 576px) {
    .cp-section.cp-light-blue-section {
        background: transparent;
    }

    .cp-ligh-blue--wrapper {
        padding: 80px 40px;
    }

    .cp-ligh-blue--item {
        grid-template-rows: unset;
        grid-template-columns: auto 1fr;
    }
}

@media (min-width: 768px) {
    .cp-hero {
        padding-bottom: 128px;
    }

    .cp-hero--title {
        font-size: 40px;
    }

    .cp-section {
        margin-bottom: 128px;
    }

    .cp-row {
        flex-direction: row;
    }

    .cp-image {
        max-width: 100%;
    }

    /* partners section */
    .cp-partner-section .title {
        font-size: 50px;
    }
    /* (end) partners section */

    /* light blue section */
    .cp-ligh-blue--wrapper {
        padding: 80px;
    }

    .cp-ligh-blue--title {
        font-size: 40px;
    }
    /* (end) light blue section */

    .cp-content-text {
        text-align: left;
        margin-bottom: 0;
    }

    .cp-content--title {
        text-align: left;
    }

    /* light blue card */
    .al-bullet {
        grid-template-columns: 24px 1fr;
        justify-items: flex-start;
        align-items: center;
        grid-gap: 16px;
    }

    .al-bullet p {
        text-align: left;
    }
    /* (end) light blue card */

    .cp-contact-section {
        padding-top: 128px;
        padding-bottom: 128px;
    }

}

@media (min-width: 992px) {
    .cp-hero-row {
        flex-direction: row;
    }

    .cp-hero-content {
        align-items: flex-start;
    }

    .cp-hero--description {
        margin: 0;
        max-width: 450px;
    }

    .cp-hero--title,
    .cp-hero--description {
        text-align: left;
    }

    /* light blue section */
    .cp-ligh-blue--intems {
        grid-template-columns: repeat(2, 1fr);
        grid-column-gap: 64px;
        grid-row-gap: 56px;
    }
    /* (end) light blue section */

    .cp-contact-wrapper {
        grid-template-columns: auto auto;
        grid-template-rows: auto 1fr;
        grid-column-gap: 40px;
        grid-row-gap: 32px;
        justify-items: center;
        justify-content: center;
        align-items: center;
    }

    .cp-contact-form {
        grid-column-start: 1;
        grid-column-end: 2;
    }
}

@media (min-width: 1200px) {
    /* partners section */
    .trusted-partners .partner {
        width: auto;
        max-width: 100%;
        max-height: 26px;
    }

    .trusted-partners .partners-wrapper {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        gap: 30px;
    }
/* 
    .trusted-partners {
        justify-content: flex-start;
        flex-direction: row;
    }

    .trusted-partners .trusted-text {
        text-align: left;
        max-width: 100px;
        margin: 0;
        margin-right: 24px;
    } */
    /* (end) partners section */
}

@media (min-width: 1400px) {
    .trusted-partners .partners-wrapper {
        justify-content: space-between;
    }

    .trusted-partners .trusted-text {
        text-align: left;
    }
}
